%define real_name	ocamlsdl
%define name		ocaml-SDL
%define version		0.7.1
%define rel		2
%define release		%mkrel %{rel}
%define ocaml_version	%(ocamlc -v | head -n 1 | awk '{print $6}' | sed -e 's/+/./')

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
License:	LGPL
Source:		http://belnet.dl.sourceforge.net/sourceforge/ocamlsdl/%{real_name}-%{version}.tar.bz2
#Patch1:		ocamlsdl-0.6.1-fix-samples-makefile.patch.bz2
Group:		Development/Other
URL:		http://ocamlsdl.sourceforge.net/
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	ocaml
BuildRequires:	libncurses-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%package -n %{name}-devel
Summary:	Wrapper around the cross platform Simple DirectMedia Layer game library
Group:		Development/Other
Provides:	%{real_name} = %{version}-%{release}
Requires:	libSDL-devel
Requires:	libSDL_image-devel
Requires:	libSDL_mixer-devel
Requires:	libSDL_ttf-devel
Requires:	libpng-devel
Requires:	ocaml = %{ocaml_version}

%description
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%description -n %{name}-devel
Ocaml-SDL is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in ocaml,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}

%build
%configure2_5x --without-findlib
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}/lib/ocaml
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
install doc/*.info* $RPM_BUILD_ROOT/%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}-devel
%_install_info ocamlsdl.info

%preun -n %{name}-devel
%_remove_install_info ocamlsdl.info

%files -n %{name}-devel
%defattr(-, root, root)
%doc README AUTHORS META NEWS doc/* 
%{_libdir}/ocaml/*
%{_infodir}/*

%changelog
* Fri May  6 2005 Pixel <pixel@mandriva.com> 0.7.1-2mdk
- don't use findlib, it's broken
- %%mkrel

* Mon Oct 4 2004 Austin Acton <austin@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Sat May 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.6.3-3mdk
- enforce versioned dependency on ocaml
- spec cleanup

* Sat May  8 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-2mdk
- need to rebuild because "The files /usr/lib/ocaml/pervasives.cmi and
  /usr/lib/ocaml/sdl/sdl.cmi make inconsistent assumptions over interface
  Pervasives"

* Fri Apr 25 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.3-1mdk
- new version
- fix buildrequires thx to stefan's robot

* Sat Feb 15 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.1-1mdk
- new version

* Wed Sep 25 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-6mdk
- add my "fix a few things" patch to make it usable for my Simon
  program

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-5mdk
- ocaml changed (and error message suck bigtime!!
  "/usr/lib/ocaml/sdl/sdl.cmi is not a compiled interface", nonsense..)

* Tue Jul 30 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- recompile against latest libstdc++

* Sun Jul 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-3mdk
- recompile against new vorbis stuff

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-2mdk
- rebuild for new alsa

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- final 0.5 version

* Mon Mar 11 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-0.pre3.2mdk
- patch #0: color rgb values are unsigned

* Sun Mar 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-1mdk
- first mandrake package
